com.explodingpixels.util

## Class PlatformUtils

- java.lang.Object
- - com.explodingpixels.util.PlatformUtils

-     public class PlatformUtils
      extends Object

  Utility methods for dealing with the platform (e.g. Mac or Windows).

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `getJavaVersion()` Get's the version of Java currently running.
    `static String` | `getOsVersion()` Gets the operating system version that the JVM is running on.
    `static boolean` | `is64BitJavaOnMac()` True if this JVM is running 64 bit Java on a Mac.
    `static boolean` | `isJava6OnMac()` True if this JVM is running Java 6 on a Mac.
    `static boolean` | `isLeopard()` True if this JVM is running on Mac OS X 10.5, Leopard.
    `static boolean` | `isMac()` True if this JVM is running on a Mac.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getJavaVersion

          public static String getJavaVersion()

      Get's the version of Java currently running.
      Returns:
        the version of Java that is running.

    - #### getOsVersion

          public static String getOsVersion()

      Gets the operating system version that the JVM is running on.
      Returns:
        the operating system version that the JVM is running on.

    - #### isMac

          public static boolean isMac()

      True if this JVM is running on a Mac.
      Returns:
        true if this JVM is running on a Mac.

    - #### isJava6OnMac

          public static boolean isJava6OnMac()

      True if this JVM is running Java 6 on a Mac.
      Returns:
        true if this JVM is running Java 6 on a Mac.

    - #### is64BitJavaOnMac

          public static boolean is64BitJavaOnMac()

      True if this JVM is running 64 bit Java on a Mac.
      Returns:
        true if this JVM is running 64 bit Java on a Mac.

    - #### isLeopard

          public static boolean isLeopard()

      True if this JVM is running on Mac OS X 10.5, Leopard.
      Returns:
        true if this JVM is running on Mac OS X 10.5, Leopard.